# HG changeset patch
# User Hugh McMaster <hugh.mcmaster@outlook.com>
# Date 1564922115 -36000
#      Sun Aug 04 22:35:15 2019 +1000
# Node ID caf8ccb06e18ab0e75c63b5a4b03e64873fb63e7
# Parent  930d6b8c5dc1818ada9d42cbd158d1b4ca547a47
Generate and install a pkg-config file for the gmp library

diff -r 930d6b8c5dc1 -r caf8ccb06e18 Makefile.am
--- a/Makefile.am	Fri Aug 02 18:02:54 2019 +0200
+++ b/Makefile.am	Sun Aug 04 22:35:15 2019 +1000
@@ -113,7 +113,11 @@
 SUBDIRS = tests mpn mpz mpq mpf printf scanf rand cxx demos tune doc
 
 EXTRA_DIST = configfsf.guess configfsf.sub .gdbinit INSTALL.autoconf \
-	     COPYING.LESSERv3 COPYINGv2 COPYINGv3
+	     COPYING.LESSERv3 COPYINGv2 COPYINGv3 \
+	     gmp.pc
+
+pkgconfigdir = $(libdir)/pkgconfig
+pkgconfig_DATA = gmp.pc
 
 # Put asl.h here for now.
 EXTRA_DIST += asl.h
diff -r 930d6b8c5dc1 -r caf8ccb06e18 configure.ac
--- a/configure.ac	Fri Aug 02 18:02:54 2019 +0200
+++ b/configure.ac	Sun Aug 04 22:35:15 2019 +1000
@@ -3959,7 +3959,7 @@
   tests/cxx/Makefile							\
   doc/Makefile tune/Makefile						\
   demos/Makefile demos/calc/Makefile demos/expr/Makefile		\
-  gmp.h:gmp-h.in)
+  gmp.h:gmp-h.in gmp.pc:gmp.pc.in)
 
 AC_MSG_NOTICE([summary of build options:
 
diff -r 930d6b8c5dc1 -r caf8ccb06e18 gmp.pc.in
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/gmp.pc.in	Sun Aug 04 22:35:15 2019 +1000
@@ -0,0 +1,11 @@
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+includedir=@includedir@
+libdir=@libdir@
+
+Name: @PACKAGE_NAME@
+Description: GNU Multiple Precision Arithmetic Library
+URL: https://gmplib.org
+Version: @PACKAGE_VERSION@
+Cflags: -I${includedir}
+Libs: -L${libdir} -lgmp
